Subject: RE: Is DAD really needed for SEND?

From: Soliman Hesham <[email-masked]>
Date: Thu, 3 Jul 2003 00:48:22 -0400

> I would say there are such possibilities. Good implementations
 > might perhaps prevent this (e.g. by not accepting any user-given
 > keys as input -- but the copied harddrive would still get you
 > this failure mode).
 > 
 > Also, I think the likelihood of a collision is roughly the
 > same whether you generate a direct random number or whether
 > you generate some random bits, turn them into an RSA key, and
 > then hash the result.
 > 
 > Anyway, I think a SEND node, upon detecting a collision, should
 > stop using the address, but not necessarily fail the interface
 > or burst into flames ;-)
 > 
 > One practical approach for us to deal with the DAD issue in
 > SEND is that we take the "secure ND" and "optimize DAD" problems
 > separately. That is, SEND takes IPv6 as-is, now. Then an
 > extension is built later to provide security for optimistic
 > DAD.

=> completely agree.

Hesham
--------------------------------------------------------------------
To unsubscribe from this list, send email with "UNSUBSCRIBE" in the
body to <[email-masked]>.
Archive: http://standards.ericsson.net/lists/ietf-send/maillist.html
--------------------------------------------------------------------